> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 产品排名概览

> 此端点将为目标产品提供 Amazon 自然搜索和付费 SERP 的排名数据。



## OpenAPI

````yaml openapi/zh/dataforseo.json POST /dataforseo/dataforseo_labs/amazon/product_rank_overview/live
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: 通过 AIsa 统一网关提供的 DataForSEO API 端点。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/dataforseo_labs/amazon/product_rank_overview/live:
    post:
      summary: 产品排名概览
      description: >-
        此端点将为您提供目标产品在 Amazon 自然和付费 SERP 中的排名数据。返回的结果仅针对 POST 请求中指定的 `asins`。有关
        ASIN
        的更多信息，请参阅[此帮助中心文章。](https://dataforseo.com/help-center/asin-in-amazon-api)
      operationId: post_dataforseo_dataforseo_labs_amazon_product_rank_overview_live
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                asins:
                  type: array
                  items:
                    type: string
                  description: >-
                    要比较的产品 ID 必填字段 用于接收排名数据的产品 ID；此数组中最多可指定 1000 个 ASIN；可通过向
                    Amazon Products 端点单独发送请求来获取 asin 参数 注意：ASIN
                    代码中的所有字母必须采用大写格式；示例：B01LW2SL7R
                location_name:
                  type: string
                  description: >-
                    位置的完整名称。如果未指定 location_code，则为必填字段。可通过向
                    https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages
                    单独发送请求，获取包含 location_name
                    的可用位置列表。注意：此端点目前仅支持美国、埃及、沙特阿拉伯和阿拉伯联合酋长国的位置。示例：United States
                location_code:
                  type: integer
                  description: >-
                    位置代码；如果未指定 location_name，则为必填字段；您可以通过向
                    https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages
                    单独发出请求，获取可用位置及其 location_code
                    的列表；注意：此端点目前仅支持美国、埃及、沙特阿拉伯和阿拉伯联合酋长国的位置；示例：2840
                language_name:
                  type: string
                  description: >-
                    语言全名 必填字段 如果未指定 language_code，可以向
                    https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages
                    单独发送请求，以获取可用语言及其 language_name 的列表 示例：English
                language_code:
                  type: string
                  description: >-
                    语言代码；如果未指定 language_name，则为必填字段；可通过向
                    https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages
                    单独发起请求，获取可用语言及其 language_code 列表；示例：en
                tag:
                  type: string
                  description: >-
                    用户定义的任务标识符。可选字段。字符数限制为 255。您可以使用此参数标识任务并将其与结果匹配；您将在响应的 data
                    对象中找到指定的 tag 值
              required:
                - asins
                - location_name
                - location_code
                - language_name
                - language_code
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: API 的当前版本
                  status_code:
                    type: integer
                    description: 通用状态码；您可以在此处查看完整的响应码列表。注意：我们强烈建议设计必要的系统来处理相关异常或错误情况
                  status_message:
                    type: string
                    description: 常规信息消息；可在此处查看常规信息消息的完整列表
                  time:
                    type: string
                    description: 执行时间（秒）
                  cost:
                    type: number
                    description: 任务总成本（美元）
                  tasks_count:
                    type: integer
                    description: tasks 数组中的任务数量
                  tasks_error:
                    type: integer
                    description: 返回错误的 tasks 数组中的任务数量
                  tasks:
                    type: array
                    items:
                      type: string
                    description: 任务数组
                  tasks.id:
                    type: string
                    description: 任务标识符，系统中采用 UUID 格式的唯一任务标识符
                  tasks.status_code:
                    type: integer
                    description: DataForSEO 生成的任务状态码；范围为：10000-60000；完整响应代码列表可在此处查看
                  tasks.status_message:
                    type: string
                    description: 任务的信息性消息，你可以在此处查看通用信息性消息的完整列表
                  tasks.time:
                    type: string
                    description: 执行时间（秒）
                  tasks.cost:
                    type: number
                    description: 任务成本（美元）
                  tasks.result_count:
                    type: integer
                    description: 结果数组中的元素数量
                  tasks.path:
                    type: array
                    items:
                      type: string
                    description: URL 路径
                  tasks.data:
                    type: object
                    description: 包含您在 POST 请求中指定的相同参数
                  tasks.result:
                    type: array
                    items:
                      type: string
                    description: 结果数组
                  tasks.result.se_type:
                    type: string
                    description: 搜索引擎类型
                  tasks.result.location_code:
                    type: integer
                    description: POST 数组中的位置代码；如果没有数据，则值为 null
                  tasks.result.language_code:
                    type: string
                    description: POST 数组中的语言代码；如果没有数据，则值为 null
                  tasks.result.total_count:
                    type: integer
                    description: 数据库中与您的请求相关的结果总量
                  tasks.result.items_count:
                    type: integer
                    description: items 数组中返回的结果数量
                  tasks.result.items:
                    type: array
                    items:
                      type: string
                    description: 包含检测到的 Amazon 产品竞争对手及相关数据
                  tasks.result.items.se_type:
                    type: string
                    description: 搜索引擎类型
                  tasks.result.items.asin:
                    type: string
                    description: 产品的 ASIN，即 Amazon 上的唯一产品标识符；有关更多信息，请参阅此帮助中心指南
                  tasks.result.items.metrics:
                    type: object
                    description: 产品的平均关键词排名
                  tasks.result.items.metrics.amazon_serp:
                    type: object
                    description: 来自 Amazon 自然搜索 SERP 的排名数据
                  tasks.result.items.metrics.amazon_serp.pos_1:
                    type: integer
                    description: 产品排名第 1 位的自然 SERP 数量
                  tasks.result.items.metrics.amazon_serp.pos_2_3:
                    type: integer
                    description: 产品排名第 2-3 位的自然搜索结果页数量
                  tasks.result.items.metrics.amazon_serp.pos_4_10:
                    type: integer
                    description: 产品排名第 4-10 位的自然搜索结果页数量
                  tasks.result.items.metrics.amazon_serp.pos_11_100:
                    type: integer
                    description: '产品排名第 #11-100 位的自然搜索结果页数量'
                  tasks.result.items.metrics.amazon_serp.count:
                    type: integer
                    description: 包含该产品的 Amazon 自然搜索结果页总数
                  tasks.result.items.metrics.amazon_serp.search_volume:
                    type: integer
                    description: 产品在自然 SERP 中排名关键词的总搜索量
                  tasks.result.items.metrics.amazon_paid:
                    type: object
                    description: 来自 Amazon 付费搜索结果页的排名数据
                  tasks.result.items.metrics.amazon_paid.pos_1:
                    type: integer
                    description: 产品排名第 1 的付费 SERP 数量
                  tasks.result.items.metrics.amazon_paid.pos_2_3:
                    type: integer
                    description: 产品排名第 2-3 位的付费 SERP 数量
                  tasks.result.items.metrics.amazon_paid.pos_4_10:
                    type: integer
                    description: 产品排名第 4-10 位的付费 SERP 数量
                  tasks.result.items.metrics.amazon_paid.pos_11_100:
                    type: integer
                    description: 产品排名第 11-100 位的付费 SERP 数量
                  tasks.result.items.metrics.amazon_paid.count:
                    type: integer
                    description: 包含该产品的 Amazon 付费 SERP 总数
                  tasks.result.items.metrics.amazon_paid.search_volume:
                    type: integer
                    description: 产品在付费搜索结果页中排名关键词的总搜索量
        '400':
          description: 错误请求
        '401':
          description: 未授权
        '429':
          description: 超出速率限制
        '500':
          description: 内部服务器错误
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````